ONVIF::PTZ::Types::ActionEngineEventPayload(3)

NAME
ONVIF::PTZ::Types::ActionEngineEventPayload

DESCRIPTION
Perl data type class for the XML Schema defined complexType ActionEngineEventPayload from the namespace http://www.onvif.org/ver10/schema.

Action Engine Event Payload data structure contains the information about the ONVIF command invocations. Since this event could be generated by other or proprietary actions, the command invocation specific fields are defined as optional and additional extension mechanism is provided for future or additional action definitions.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   RequestInfo

•   ResponseInfo

•   Fault

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::ActionEngineEventPayload
   RequestInfo =>  { # ONVIF::PTZ::Types::Envelope
     Header =>  { # ONVIF::PTZ::Types::Header
     },
     Body =>  { # ONVIF::PTZ::Types::Body
     },
   },
   ResponseInfo =>  { # ONVIF::PTZ::Types::Envelope
     Header =>  { # ONVIF::PTZ::Types::Header
     },
     Body =>  { # ONVIF::PTZ::Types::Body
     },
   },
   Fault =>  { # ONVIF::PTZ::Types::Fault
     faultcode =>  $some_value, # QName
     faultstring =>  $some_value, # string
     faultactor =>  $some_value, # anyURI
     detail =>  { # ONVIF::PTZ::Types::detail
     },
   },
   Extension =>  { # ONVIF::PTZ::Types::ActionEngineEventPayloadExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL